Debian Bug report logs - #572210
socket(7) contains incorrect information about struct ucred

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Florian Weimer <fweimer@bfk.de>

Date: Tue, 2 Mar 2010 12:06:05 UTC

Severity: normal

Tags: confirmed, upstream

Found in version manpages/3.23-1

Fixed in versions manpages/3.51-1, 3.51-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#572210; Package manpages. (Tue, 02 Mar 2010 12:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fweimer@bfk.de>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 02 Mar 2010 12:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Weimer <fweimer@bfk.de>
To: submit@bugs.debian.org
Subject: socket(7) contains incorrect information about struct ucred
Date: Tue, 02 Mar 2010 11:25:14 +0000
Package: manpages
Version: 3.23-1

<sys/socket.h> does not make struct ucred available.  Compiling the
following program yields:

#include <sys/socket.h>
struct ucred cred;

/tmp/t.c:2: error: storage size of ‘cred’ isn’t known

Apparently, this is provided conditionally if _GNU_SOURCE is defined,
and the manpage should document this (IMHO).

-- 
Florian Weimer                <fweimer@bfk.de>
BFK edv-consulting GmbH       http://www.bfk.de/
Kriegsstraße 100              tel: +49-721-96201-1
D-76133 Karlsruhe             fax: +49-721-96201-99




Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 07 Nov 2011 23:24:11 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 00:15:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions manpages/3.51-1. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 05 Aug 2013 20:57:04 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Tue, 06 Aug 2013 00:27:07 GMT) Full text and rfc822 format available.

Notification sent to Florian Weimer <fweimer@bfk.de>:
Bug acknowledged by developer. (Tue, 06 Aug 2013 00:27:07 GMT) Full text and rfc822 format available.

Message #16 received at 572210-done@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 572210-done@bugs.debian.org
Subject: Re: fixed 572210 in 3.51-1
Date: Tue, 6 Aug 2013 02:23:05 +0200
Version: 3.51-1

On Mon, Aug 05, 2013 at 10:52:30PM +0200, Simon Paillard wrote:
> fixed 572210 3.51-1

-- 
Simon Paillard



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Sep 2013 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:12:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.